<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns:fo="http://www.w3.org/1999/XSL/Format"
      xmlns:afp="http://xmlgraphics.apache.org/fop/extensions/afp"      
      >
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="/">
        <fo:root>
            <fo:layout-master-set>
                <fo:simple-page-master master-name="A4-portrait"
                        page-height="29.7cm" page-width="21.0cm" 
                        margin-top="5mm"  margin-bottom="5mm"
                        margin-left="1.0in" margin-right="1.0in">
                    <fo:region-body margin-top="3cm"/>
                    <fo:region-before extent="10mm"/>  
                </fo:simple-page-master>
            </fo:layout-master-set>

            <fo:page-sequence master-reference="A4-portrait" 
                            initial-page-number="1" 
                            force-page-count="no-force">

                <!-- header -->
                <fo:static-content flow-name="xsl-region-before" >
                    <fo:block text-align="end" >
                        <fo:external-graphic   id="myveryownlogo"
                            src="../underground.svg"/>
                    </fo:block>
                </fo:static-content>

                <!-- content -->
                <fo:flow flow-name="xsl-region-body">

                    <!--  For the test case it seems we need to be
                          sure the content on each page is actually different
                          from one another. So that the test is more realistic.
                          If page content is exactly the same then it seems 
                          FOP 2.2-SNAPSHOT is able to do some optimization
                          ...which we do not want                      -->
                        
                    <fo:block page-break-before="always">Page 01</fo:block>
                    <fo:block page-break-before="always">Page 02</fo:block>
                    <fo:block page-break-before="always">Page 03</fo:block>
                    <fo:block page-break-before="always">Page 04</fo:block>
                    <fo:block page-break-before="always">Page 05</fo:block>
                    <fo:block page-break-before="always">Page 06</fo:block>
                    <fo:block page-break-before="always">Page 07</fo:block>
                    <fo:block page-break-before="always">Page 08</fo:block>
                    <fo:block page-break-before="always">Page 09</fo:block>
                    <fo:block page-break-before="always">Page 10</fo:block>

                    <fo:block page-break-before="always">Page 11</fo:block>
                    <fo:block page-break-before="always">Page 12</fo:block>
                    <fo:block page-break-before="always">Page 13</fo:block>
                    <fo:block page-break-before="always">Page 14</fo:block>
                    <fo:block page-break-before="always">Page 15</fo:block>
                    <fo:block page-break-before="always">Page 16</fo:block>
                    <fo:block page-break-before="always">Page 17</fo:block>
                    <fo:block page-break-before="always">Page 18</fo:block>
                    <fo:block page-break-before="always">Page 19</fo:block>
                    <fo:block page-break-before="always">Page 20</fo:block>

                    <fo:block page-break-before="always">Page 21</fo:block>
                    <fo:block page-break-before="always">Page 22</fo:block>
                    <fo:block page-break-before="always">Page 23</fo:block>
                    <fo:block page-break-before="always">Page 24</fo:block>
                    <fo:block page-break-before="always">Page 25</fo:block>
                    <fo:block page-break-before="always">Page 26</fo:block>
                    <fo:block page-break-before="always">Page 27</fo:block>
                    <fo:block page-break-before="always">Page 28</fo:block>
                    <fo:block page-break-before="always">Page 29</fo:block>
                    <fo:block page-break-before="always">Page 20</fo:block>

                    <fo:block page-break-before="always">Page 31</fo:block>
                    <fo:block page-break-before="always">Page 32</fo:block>
                    <fo:block page-break-before="always">Page 33</fo:block>
                    <fo:block page-break-before="always">Page 34</fo:block>
                    <fo:block page-break-before="always">Page 35</fo:block>
                    <fo:block page-break-before="always">Page 36</fo:block>
                    <fo:block page-break-before="always">Page 37</fo:block>
                    <fo:block page-break-before="always">Page 38</fo:block>
                    <fo:block page-break-before="always">Page 39</fo:block>
                    <fo:block page-break-before="always">Page 40</fo:block>

                    <fo:block page-break-before="always">Page 41</fo:block>
                    <fo:block page-break-before="always">Page 42</fo:block>
                    <fo:block page-break-before="always">Page 43</fo:block>
                    <fo:block page-break-before="always">Page 44</fo:block>
                    <fo:block page-break-before="always">Page 45</fo:block>
                    <fo:block page-break-before="always">Page 46</fo:block>
                    <fo:block page-break-before="always">Page 47</fo:block>
                    <fo:block page-break-before="always">Page 48</fo:block>
                    <fo:block page-break-before="always">Page 49</fo:block>
                    <fo:block page-break-before="always">Page 50</fo:block>
                    
                </fo:flow>
            </fo:page-sequence>


        </fo:root>
    </xsl:template>
</xsl:stylesheet>